import { OnInit, OnChanges, AfterViewInit, ElementRef } from '@angular/core';
import { MatPaginator, MatSort, MatTable } from '@angular/material';
import { RdpDataTableService } from '../shared/rdp-data-table.service';
import { RdpModalService } from '../services/rdp-modal.service';
export declare class RdpDataTableComponent<T> implements OnChanges, AfterViewInit, OnInit {
    dataTableService: RdpDataTableService;
    private rdpModal;
    data: any;
    settings: any;
    sort: MatSort;
    private paginator;
    matPaginator: MatPaginator;
    table: MatTable<T>;
    input: ElementRef;
    limit: number;
    full: boolean;
    applicationService: any;
    displayedColumns: any[];
    columnsInfoList: any[];
    dataSource: any;
    isPaginationRequired: boolean;
    pageSize: number;
    isEditMode: boolean;
    isSearchEnabled: boolean;
    isServerSidePaginationEnabled: boolean;
    showAddButton: boolean;
    result: any;
    totalRowsCount: any;
    showSpinner: boolean;
    constructor(dataTableService: RdpDataTableService, rdpModal: RdpModalService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(): void;
    setData(data: any): void;
    getTotalRowCount(): any;
    loadData(pageIndex: any, pageSize: any): void;
    onPaginationChange(event: any): void;
    addRow(data: any): void;
    updateRow(data: any): void;
    getRow(data: any): void;
    deleteRow(data: any): void;
    applyFilter(filterValue: string): void;
    cloneObject: any;
    /**
     * openAddNewRoleModal
     * @param rowData
     */
    openEditModalPopup(rowData: any): void;
    handleScroll: (scrolled: boolean) => void;
    toggleUserActive(rowData: any): void;
}
